## gstreamer0.10 0.10.5-osso1

=== debian/changelog ===
gstreamer0.10 (0.10.5-osso1) unstable; urgency=low

  * Update to new Gstreamer 0.10.5

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 15 May 2006 13:00:55 +0300

gstreamer0.10 (0.10.4-osso6) unstable; urgency=low

  * Fixed memory leak in gstpadtemplate.c

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon,  8 May 2006 13:48:30 +0300

gstreamer0.10 (0.10.4-osso5) unstable; urgency=low

  * Fixed bug 26838

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 27 Apr 2006 14:19:32 +0300

gstreamer0.10 (0.10.4-osso4) unstable; urgency=low

  * Small fix to prevent too early reset of caps found flag in gstbasetransform.c

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 20 Apr 2006 08:51:31 +0300

gstreamer0.10 (0.10.4-osso3) unstable; urgency=low

  * Included a registry building fix by Stefan Kost

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 19 Apr 2006 12:53:47 +0300

gstreamer0.10 (0.10.4-osso2) unstable; urgency=low

  * Fixed one memory leak in gstutils.c

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 19 Apr 2006 09:45:21 +0300

gstreamer0.10 (0.10.4-osso1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 29 Mar 2006 17:05:57 +0300

gstreamer0.10 (0.10.3-osso2) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  2 Mar 2006 15:03:01 +0200

gstreamer0.10 (0.10.3-osso1) unstable; urgency=low

  * Updated GStreamer 0.10.3 relese containing a few patches not included in upstream release.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 16 Feb 2006 14:13:36 +0200
