=== debian/control ===
Source: gstreamer0.10
Section: libs
Priority: optional
Maintainer: Makoto Sugano <makoto.sugano@nokia.com>
Build-Depends: debhelper (>= 4.1.0), autotools-dev, libxml2-dev (>= 2.6.0), zlib1g-dev (>= 1:1.1.4), libglib2.0-dev (>= 2.0.4), pkg-config (>= 0.11.0), libpopt-dev, bison, flex
Standards-Version: 3.6.2

Package: libgstreamer0.10-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: gstreamer0.10-tools
Description: Core GStreamer libraries, plugins, and utilities
 GStreamer is a media processing framework with support for a wide variety
 of data sources, sinks, and formats through the use of dynamically loaded
 plugins.
 .
 This package contains core components used in GStreamer based applications:
 .
 Various basic elements including:
  * file source and sink
  * tee and aggregator
  * fake source and sink for testing
  * identity
  * pipe filter
  * statistics
 .
 Other important plugable pieces including:
  * autoplugging support
  * standard schedulers
  * type detection support
 .
 Library plugins:
  * bytestream
  * control
  * putbits
  * getbits
 .
 http://gstreamer.freedesktop.org/

Package: libgstreamer0.10-dev
Architecture: any
Section: libdevel
Depends: libgstreamer0.10-0 (= ${Source-Version}), libc6-dev | libc-dev, pkg-config, libpopt-dev, libglib2.0-dev, libxml2-dev
Recommends: gstreamer0.10-doc (= ${Source-Version})
Description: GStreamer development libraries and headers
 GStreamer is a media processing framework with support for a wide variety
 of data sources, sinks, and formats through the use of dynamically loaded
 plugins.
 .
 This package contains development libraries and headers.
 .
 http://gstreamer.freedesktop.org/

Package: gstreamer0.10-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.1)
Suggests: gstreamer0.10-plugins-base
Description: Tools for use with GStreamer
 GStreamer is a media processing framework with support for a wide variety
 of data sources, sinks, and formats through the use of dynamically loaded
 plugins.
 .
 This package contains GStreamer tools:
  * gst-inspect-0.10: query details of installed plugins
  * gst-launch-0.10: command line pipeline tool
  * gst-xmllaunch-0.10: command line xml pipeline tool
  * gst-md5sum-0.10: generate md5sum of a pipeline
  * gst-feedback-0.10: generate information for GStreamer bug reports
  * gst-xmlinspect-0.10: XML version of gst-inspect-0.10
 .
 http://gstreamer.freedesktop.org/

Package: gstreamer-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, gstreamer0.10-tools
Conflicts: gstreamer0.8-osso-tools
Description: Tools for use with GStreamer
 GStreamer is a media processing framework with support for a wide variety
 of data sources, sinks, and formats through the use of dynamically loaded
 plugins.
 .
 This package contains the non-versionned variant of the GStreamer tools:
  * gst-inspect: query details of installed plugins
  * gst-launch: command line pipeline tool
  * gst-xmllaunch: command line xml pipeline tool
  * gst-md5sum: generate md5sum of a pipeline
  * gst-feedback: generate information for GStreamer bug reports
  * gst-xmlinspect: XML version of gst-inspect
 .
 http://gstreamer.freedesktop.org/
