## gstreamer0.10 0.10.23-0maemo5%2b0m5

=== debian/changelog ===
gstreamer0.10 (0.10.23-0maemo5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Thu, 25 Jun 2009 11:40:49 +0300

gstreamer0.10 (0.10.23-0maemo5) unstable; urgency=low

  * Pick upstream fix for state change problem that could cause
    e.g. rtsp:// streaming to fail when going straight into playing state.
  * Remove bogus package dependency for the tools package on pkg-config.

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 17 Jun 2009 14:42:40 +0300

gstreamer0.10 (0.10.23-0maemo4) unstable; urgency=low

  * registry: Pick upstream fixes for crashers.
  * Fixes: NB#120971 - Random SE crash when making outgoing call

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 08 Jun 2009 15:06:14 +0300

gstreamer0.10 (0.10.23-0maemo3) unstable; urgency=low

  * basesrc: Hack around buffer timestamps stuck at 0 when an element is
    reused (like in the camera video recording case). See NB#113906 -
    First timestamps not increasing with reused pulsesrc.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 01 Jun 2009 14:40:03 +0300

gstreamer0.10 (0.10.23-0maemo2) unstable; urgency=low

  * Remove incorrect clock assertion.

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 26 May 2009 14:41:56 +0300

gstreamer0.10 (0.10.23-0maemo1) unstable; urgency=low

  * New upstream release.

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 14 May 2009 19:08:40 +0300

gstreamer0.10 (0.10.22-1maemo5) unstable; urgency=low

  * Allow element properties to be set through launch lines. This allows
    e.g. setting the video sink for playbin2 using gst-launch command.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 04 May 2009 17:42:27 +0300

gstreamer0.10 (0.10.22-1maemo4) unstable; urgency=low

  * Disable GStreamer logging and GObject cast checks (unless debug build
    option is given).

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 17 Apr 2009 20:14:24 +0300

gstreamer0.10 (0.10.22-1maemo3) unstable; urgency=low

  * To prevent a double free (observed with gst-launch at least), drop
    plugin feature name strdup avoidance patch.
  * Cherry-pick registry fix from upstream to prevent registry when
    forking is disabled.

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 01 Apr 2009 15:47:16 +0300

gstreamer0.10 (0.10.22-1maemo2) unstable; urgency=low

  * Call fsync() when dealing with the registry.
  * Fixes: NB#107587 - gstreamer registry crashes mafw-dbus-wrapper
  * Cherry-pick gst_pad_can_link fixes for Rygel.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 30 Mar 2009 18:50:35 +0300

gstreamer0.10 (0.10.22-1maemo1) experimental; urgency=low

  * New release for Maemo.

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 21 Jan 2009 14:35:56 +0200

gstreamer0.10 (0.10.21-3maemo5) experimental; urgency=low

  * Removed localization files from installation.

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 14 Jan 2009 13:24:53 +0200

gstreamer0.10 (0.10.21-3maemo4) experimental; urgency=low

  * Backport fix from upstream cvs. Fixes: NB#93930 

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  4 Dec 2008 17:24:36 +0200

gstreamer0.10 (0.10.21-3maemo3) experimental; urgency=low

  * Fix slow registry update.

 -- Stefan Kost <stefan.kost@nokia.com>  Fri, 31 Oct 2008 18:01:21 +0200

gstreamer0.10 (0.10.21-3maemo2) experimental; urgency=low

  * New tagged version (0.10.21-3maemo2). 

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 22 Oct 2008 10:32:18 +0300

gstreamer0.10 (0.10.21-3maemo1) experimental; urgency=low

  * New upstream 0.10.21 with patches from Debian experimental and 
    Maemo-specific modifications.

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 14 Oct 2008 16:49:58 +0300

gstreamer0.10 (0.10.21-3) experimental; urgency=low

  * debian/patches/03_registry-failure-crash.patch:
    + Patch from upstream CVS to fix a crash when writing the registry file
      failed. Fixes builds on buildd's with non-writable $HOME.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 Oct 2008 12:22:10 +0200

gstreamer0.10 (0.10.21-2) experimental; urgency=low

  * debian/libgstreamer.symbols:
    - Updated for 0.10.21 so we depend on a stable version.
  * debian/patches/02_gtkdoc-rebase.patch:
    - Don't require gtk-doc for the docs. Fixes the build with
      binary-indep (Closes: #499818).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Oct 2008 10:02:37 +0200

gstreamer0.10 (0.10.21-1) experimental; urgency=low

  * New upstream release, 'Take These Things From Me'.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 04 Oct 2008 12:16:53 +0200

gstreamer0.10 (0.10.20.2-1) experimental; urgency=low

  * debian/gst-codec-info.c:
    + Ignore decoders with a less than marginal rank as they're
      not autoplugged by playbin/decodebin. This only applies to the
      X-Gst-Decoders field.
  * New upstream pre-release:
    + debian/patches/02_gtk-doc-cflags.patch:
      - Dropped, merged upstream.
    + debian/libgstreamer.symbols:
      - Updated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 21 Sep 2008 16:22:29 +0200

gstreamer0.10 (0.10.20-3) experimental; urgency=low

  [ Loic Minier ]
  * Bdep on perl-doc; thanks Marc 'HE' Brockschmidt; closes: #495043.
  * Wrap uploaders, bdeps and deps.

  [ Sebastian Dröge ]
  * debian/gst-codec-info.c:
    + Rename gstreamer0.10-{audio,video}src to
      gstreamer0.10-{audio,video}source.
    + Remove some more useless fields from the encoder/decoder caps.
  * debian/control.in:
    + Let the -dev package recommends debhelper for the dh_gstscancodecs
      script (Closes: #494999).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 15 Aug 2008 09:21:42 +0200

gstreamer0.10 (0.10.20-2) experimental; urgency=low

  * debian/control.in:
    + Update flex build dependency to >= 2.5.34 for the new symbols this
      adds to the library (Closes: #492028).
  * debian/gst-codec-info.c,
    debian/control.in,
    debian/rules,
    debian/dh_gstscancodecs,

