=== debian/control ===
Source: gstreamer0.10
Section: libs
Priority: optional
Maintainer: Maemo Multimedia <multimedia@maemo.org>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
XSBC-Original-Uploaders: David I. Lehn <dlehn@debian.org>,
           Loic Minier <lool@dooz.org>,
           Sebastien Bacher <seb128@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs (>= 0.4.20),
               autotools-dev,
               libxml2-dev (>= 2.6.0),
               zlib1g-dev (>= 1:1.1.4),
               libglib2.0-dev (>= 2.12),
               pkg-config (>= 0.11.0),
               libpopt-dev,
               bison (>= 1.875),
               flex (>= 2.5.31),
               check (>= 0.9.3-2),
               dpkg-dev (>= 1.14.13),
               lsb-release
Build-Depends-Indep: python (>= 2.2),
                     gtk-doc-tools (>= 0.7),
                     jade (>= 1.2.1),
                     docbook-utils (>= 0.6.9),
                     docbook-xml,
                     docbook-xsl,
                     xsltproc (>= 1.0.21),
                     xmlto
Standards-Version: 3.8.0
Homepage: http://gstreamer.freedesktop.org

Package: libgstreamer0.10-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: gstreamer0.10-tools,
          gstreamer0.10-plugins
Conflicts: libgstreamer-plugins-base0.10-0 (<< 0.10.11cvs20070110-0ubuntu5)
Description: Core GStreamer libraries and elements
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the core library and elements.

Package: libgstreamer0.10-0-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libgstreamer0.10-0 (= ${binary:Version})
Description: Core GStreamer libraries and elements
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: libgstreamer0.10-dev
Architecture: any
Section: libdevel
Depends: libgstreamer0.10-0 (= ${binary:Version}),
         libc6-dev | libc-dev,
         pkg-config,
         libpopt-dev,
         libglib2.0-dev,
         libxml2-dev,
         check (>= 0.9.3-2),
         ${shlibs:Depends}
Replaces: gstreamer-tools (<< 0.10.20-2)
Recommends: debhelper
Suggests: gstreamer0.10-doc
Description: GStreamer core development files
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for the core library and
 elements.

Package: gstreamer0.10-doc
Architecture: all
Section: doc
Recommends: libgstreamer0.10-dev (= ${source:Version})
Description: GStreamer core documentation and manuals
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This packages contains documentation for core libraries and elements as
 well as:
  * the GStreamer Manual
  * the GStreamer Plugin Writers Guide
  * Various API docs

Package: gstreamer0.10-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         libgstreamer0.10-0 (>= 0.10.22.4)
Suggests: gstreamer0.10-plugins-base
Description: Tools for use with GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains versioned command-line tools for GStreamer.

Package: gstreamer-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         gstreamer0.10-tools | gstreamer0.8-tools
Conflicts: gstreamer0.8-tools (<< 0.8.11-2)
Description: Tools for use with GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unversioned command-line tools for GStreamer
 that work with different major/minor versions of GStreamer.
