## gstreamer0.10 0.10.23-git305-0maemo5+0m5

=== debian/changelog ===
gstreamer0.10 (0.10.23-git305-0maemo5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Tue, 15 Sep 2009 13:37:48 +0300

gstreamer0.10 (0.10.23-git305-0maemo5) unstable; urgency=low

  * queue: Fix error handling corner case to not appear like a hang.
  * Fixes: NB#128998 - Seeking byte corrupted clip from UPnP source leads
    to dbus connectivity loss needing device reboot

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 11 Sep 2009 15:44:06 +0300

gstreamer0.10 (0.10.23-git305-0maemo4) unstable; urgency=low

  * Page-align memory allocated by GstBuffer.
  * Fixes: NB#131203 - GstBuffer memory allocations need to be
    page-aligned

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 04 Aug 2009 17:30:34 +0300

gstreamer0.10 (0.10.23-git305-0maemo3) unstable; urgency=low

  * Use -O2 optimization flag in release mode. Partially fixes NB#129635.

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 30 Jul 2009 10:51:41 +0300

gstreamer0.10 (0.10.23-git305-0maemo2) unstable; urgency=low

  * More robust binary-registry handling
  * Fix compiler warning when debug-log is disabled
  * Fix wrong variable use in xml pipeline serialisation
  * Fixes: NB#128980 - mafw-dbus-wrapper crash on startup

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 23 Jul 2009 08:28:14 +0300

gstreamer0.10 (0.10.23-git305-0maemo1) unstable; urgency=low

  * Update to v0.10.23-305-gf5f6343.
  * Partially fixes NB#117719 - Optimize internet radio CPU usage

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 29 Jun 2009 14:25:02 +0300

gstreamer0.10 (0.10.23-0maemo6) unstable; urgency=low

  * Drop workaround for NB#113906 - First timestamps not increasing with
    reused pulsesrc, the correct fix is now in gst-plugins-base.

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 24 Jun 2009 16:15:19 +0300
