=== debian/rules ===
--- 
+++ 
@@ -195,7 +195,7 @@
 ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
     DEB_CONFIGURE_EXTRA_FLAGS += \
 	--disable-gst-debug \
-	CFLAGS=-DG_DISABLE_CAST_CHECKS
+	CFLAGS="-DG_DISABLE_CAST_CHECKS -O2"
 endif
 
 common-install-indep::
