## gstreamer0.10 0.10.25-0maemo2+0m5

=== debian/changelog ===
gstreamer0.10 (0.10.25-0maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Mon, 26 Oct 2009 14:49:55 +0200

gstreamer0.10 (0.10.25-0maemo2) unstable; urgency=low

  * Improve GstBuffer memory alignment patch.

 -- Rene Stadler <rene.stadler@nokia.com>  Sun, 11 Oct 2009 20:48:25 +0300

gstreamer0.10 (0.10.25-0maemo1) unstable; urgency=low

  * New upstream release.
  * Fixes: NB#132310 - Non reproducible crash at
    gst_registry_binary_write_cache

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 06 Oct 2009 12:49:44 +0300

gstreamer0.10 (0.10.24-0maemo1) unstable; urgency=low

  * New upstream version.
  * Use -O2 for debug builds as well.
  * Always build with -Wno-error.

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 15 Sep 2009 17:14:27 +0300
