=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,24 @@
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
+LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed -Wl,-z,noexecstack
+
 CFLAGS += -Wno-error
-CXXFLAGS += -Wno-error
-LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed -Wl,-z,noexecstack
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    CFLAGS += -O0
+else
+    CFLAGS += -O2
+endif
+
+ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+    CFLAGS += -DG_DISABLE_CAST_CHECKS
+endif
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
 
 #DEB_MAKE_CHECK_TARGET = check || true
 
@@ -172,6 +187,7 @@
 	-rm -f debian/shlibs.local
 
 common_conf_flags = \
+	--with-buffer-alignment=pagesize \
 	--disable-shave \
 	--disable-failing-tests \
 	--disable-examples \
@@ -184,19 +200,18 @@
 indep_conf_flags = \
 	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)-doc
 
+ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+    common_conf_flags += --disable-gst-debug
+else
+    common_conf_flags += --enable-gst-debug
+endif
+
 # only build the docs if gtk-doc-tools is installed, i.e. binary-indep is
 # called
 ifeq ($(shell test "`dpkg -l gtk-doc-tools | grep ^ii`" && echo binary-indep),binary-indep)
 indep_conf_flags += --enable-gtk-doc --enable-docbook
 endif
-
 DEB_CONFIGURE_EXTRA_FLAGS := $(common_conf_flags) $(indep_conf_flags)
-
-ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-    DEB_CONFIGURE_EXTRA_FLAGS += \
-	--disable-gst-debug \
-	CFLAGS="-DG_DISABLE_CAST_CHECKS -O2"
-endif
 
 common-install-indep::
 	# move around the doc dirs
@@ -242,10 +257,3 @@
 	mkdir -p $(CURDIR)/debian/patches
 	rm -f $(CURDIR)/debian/patches/*.patch
 	git format-patch -o $(CURDIR)/debian/patches $(PATCHES_REF) ^$(UPSTREAM_REF) | \
-		xargs -n 1 basename > $(CURDIR)/debian/patches/series
-	for patch in $$(ls $(CURDIR)/debian/patches/*.patch) ; \
-	do \
-		lines=$$(cat $$patch | wc -l) ; \
-		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
-		mv $${patch}.chomped $$patch ; \
-	done
