## gstreamer0.10 0.10.25-0maemo4+0m5

=== debian/changelog ===
gstreamer0.10 (0.10.25-0maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Huaming Wang <huaming.wang@nokia.com>  Tue, 16 Feb 2010 16:21:59 +0200

gstreamer0.10 (0.10.25-0maemo4) unstable; urgency=low

  * Fix pads leaking.
  * Fixes: NB#139441 - Memory leak in mafw-dbus-wrapper with Mp3 playback
    over UPnP

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 15 Feb 2010 20:04:24 +0200

gstreamer0.10 (0.10.25-0maemo3) unstable; urgency=low

  * Dummy release to trigger recompilation with updated toolchain.
  * Fixes: NB#154816 - GStreamer packages should be recompiled with new
    tool chain

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 29 Jan 2010 15:09:58 +0200
