=== debian/control ===
--- 
+++ 
@@ -114,7 +114,7 @@
 Architecture: any
 Section: utils
 Depends: ${shlibs:Depends},
-         libgstreamer0.10-0 (>= 0.10.23)
+         libgstreamer0.10-0 (>= 0.10.24.3)
 Suggests: gstreamer0.10-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
