=== debian/rules ===
--- 
+++ 
@@ -256,4 +256,4 @@
 update-patch-series:
 	mkdir -p $(CURDIR)/debian/patches
 	rm -f $(CURDIR)/debian/patches/*.patch
-	git format-patch -o $(CURDIR)/debian/patches $(PATCHES_REF) ^$(UPSTREAM_REF) | \
+	git format-patch -N -o $(CURDIR)/debian/patches $(PATCHES_REF) ^$(UPSTREAM_REF) | \
