## gstreamer0.10 0.10.25-0maemo4+0m5+0cssu0+thumb0

=== debian/changelog ===
gstreamer0.10 (0.10.25-0maemo4+0m5+0cssu0+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wen, 03 Oct 2012 15:51:17 +0300
