=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
 Package: libgstreamer0.10-0
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Suggests: gstreamer0.10-tools,
           gstreamer0.10-plugins
 Conflicts: libgstreamer-plugins-base0.10-0 (<< 0.10.11cvs20070110-0ubuntu5)
@@ -114,7 +114,7 @@
 Architecture: any
 Section: utils
 Depends: ${shlibs:Depends},
-         libgstreamer0.10-0 (>= 0.10.24.3)
+         libgstreamer0.10-0 (>= 0.10.25), kernel-feature-errata-430973-workaround [armel]
 Suggests: gstreamer0.10-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
@@ -130,7 +130,8 @@
 Architecture: any
 Section: utils
 Depends: ${shlibs:Depends},
-         gstreamer0.10-tools | gstreamer0.8-tools
+         gstreamer0.10-tools | gstreamer0.8-tools,
+         kernel-feature-errata-430973-workaround [armel]
 Conflicts: gstreamer0.8-tools (<< 0.8.11-2)
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
