=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
     CFLAGS += -O0
 else
     CFLAGS += -O2
+endif
+
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS := $(CFLAGS) -mthumb
 endif
 
 ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -256,4 +260,3 @@
 update-patch-series:
 	mkdir -p $(CURDIR)/debian/patches
 	rm -f $(CURDIR)/debian/patches/*.patch
-	git format-patch -N -o $(CURDIR)/debian/patches $(PATCHES_REF) ^$(UPSTREAM_REF) | \
